PHP Manual
Prev |  | Next

# atan2

(PHP 3 >= 3.0.5, PHP 4, PHP 5)

atan2 -- Arc tangent of two variables

## Description

float atan2 ( float y, float x )

This function calculates the arc tangent of the two variables `x` and `y`. It is similar to calculating the arc tangent of `y` / `x`, except that the signs of both arguments are used to determine the quadrant of the result.

The function returns the result in radians, which is between -PI and PI (inclusive).

## Parameters

`x`

  Dividend parameter

`y`

  Divisor parameter

## Return Values

The arc tangent of `x`/`y` in radians.

## See Also

atan()

Prev | Home | Next
asinh | Up | atan